/*
 * System Interface Library for games
 * Copyright (c) 2007-2017 Andrew Church <achurch@achurch.org>
 * Released under the GNU GPL version 3 or later; NO WARRANTY is provided.
 * See the file COPYING.txt for details.
 *
 * src/sysdep/ios/log.m: iOS-specific system-level handler for the DLOG()
 * macro.
 */

#ifdef DEBUG  // To the end of the file.

#define IN_SYSDEP

#import "src/base.h"
#import "src/sysdep.h"
#import "src/sysdep/ios/internal.h"

#import <Foundation/NSObjCRuntime.h>

/*************************************************************************/
/*************************** Interface routine ***************************/
/*************************************************************************/

void sys_write_DLOG(char *message, UNUSED int len)
{
    NSLog(@"%s", message);
}

/*************************************************************************/
/*************************************************************************/

#endif  // DEBUG

/*
 * Local variables:
 *   c-file-style: "stroustrup"
 *   c-file-offsets: ((case-label . *) (statement-case-intro . *))
 *   indent-tabs-mode: nil
 * End:
 *
 * vim: expandtab shiftwidth=4:
 */
